Serial: 1
%define fedora 19
%if 0%{?fedora} >= 12
%global ship_modprobe_config 1
%else
%global ship_modprobe_config 0
%endif


Summary:        Beep the PC speaker any number of ways
Name:           beep
Version:        1.3
Release:        alt1_5

Group:          Sound
License:        GPLv2+
URL:            http://www.johnath.com/beep/
Source0:        http://www.johnath.com/beep/%{name}-%{version}.tar.gz
Source1:        %{name}-README.fedora
Source2:        %{name}-modprobe.conf
Patch0:         beep-1.2.2-install-fixes.patch

BuildRequires:  glibc-kernheaders
Source44: import.info


%description
Beep allows the user to control the PC speaker with precision,
allowing different sounds to indicate different events. While it
can be run quite happily on the commandline, it's intended place
of residence is within shell/perl scripts, notifying the user when
something interesting occurs. Of course, it has no notion of
what's interesting, but it's real good at that notifying part.



%description -l ru_RU.KOI8-R
BMP -   .    
  WinAmp,     WinAmp. 
  mp3, mod, s3m,   .    
 input, output, general,  visualization .

%prep
%setup -q
%patch0 -p1 -b .install-fixes
cp -p %{SOURCE1} README.fedora


%build
make %{?_smp_mflags} CFLAGS="${RPM_OPT_FLAGS}"


%install
make install DESTDIR=$RPM_BUILD_ROOT

%if %{ship_modprobe_config}
install -d -m 0755 "$RPM_BUILD_ROOT/etc/modprobe.d/"
install -p -m 0644 %{SOURCE2} "$RPM_BUILD_ROOT/etc/modprobe.d/beep.conf"
%endif


%files
%doc CHANGELOG COPYING CREDITS README
%attr(0755,root,root) %{_bindir}/beep
%{_mandir}/man1/beep.1*
%if %{ship_modprobe_config}
%doc README.fedora
%attr(0644,root,root) %{_sysconfdir}/modprobe.d/beep.conf
%endif


%changelog
* Thu Feb 21 2013 Igor Vlasenko <viy@altlinux.ru> 1:1.3-alt1_5
- update to new release by fcimport

* Thu Aug 02 2012 Igor Vlasenko <viy@altlinux.ru> 1:1.3-alt1_4
- update to new release by fcimport

* Fri May 18 2012 Igor Vlasenko <viy@altlinux.ru> 1:1.3-alt1_3
- converted for Sisyphus

* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 1:0.9.7.1-alt0.3.qa1
- NMU (by repocop): the following fixes applied:
 * desktop-mime-entry for beep

* Sun May 14 2006 Vitaly Lipatov <lav@altlinux.ru> 1:0.9.7.1-alt0.3
- fix bug with CD play (thanks to sin@)
- Note: it is recommended to use audacious or bmpx instead beep

* Tue Feb 21 2006 Vitaly Lipatov <lav@altlinux.ru> 1:0.9.7.1-alt0.2
- update buildreqs
- add tta plugin (fix bug #9029)

* Wed Jan 04 2006 Vitaly Lipatov <lav@altlinux.ru> 1:0.9.7.1-alt0.1
- fix absolute link
- fix mp3 tag encoding
- last release, bmp is stollen one (see new projects bmpx and audacious)

* Mon Aug 29 2005 Vitaly Lipatov <lav@altlinux.ru> 1:0.9.7-alt2cvs20050828
- CVS version (with updated russian translation)
- apply patch agains some encoding troubles
- temporary disable gnome-vfs support (due URI's encoding problems)
- add bmp command as link to beep-media-player

* Mon Dec 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 1:0.9.7-alt1
- 0.9.7 release.

* Tue Nov 16 2004 Yuri N. Sedunov <aris@altlinux.ru> 1:0.9.7-alt0.7rc2
- enabled gnome-vfs support.

* Wed Sep 08 2004 Yuri N. Sedunov <aris@altlinux.ru> 1:0.9.7-alt0.6rc2
- 0.9.7rc2

* Mon Jan 12 2004 Yuri N. Sedunov <aris@altlinux.ru> 1:0.9.6.1-alt0.2
- fix beep-config to build extra plugins.
- libbeep-devel puts some macros in /etc/rpm/macros.d/bmp.

* Thu Dec 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 1:0.9.6.1-alt0.1
- new version.

* Fri Oct 31 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.1pre4
- 1.0.0pre4

* Sat Oct 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.1pre3
- new version

* Sat Oct 25 2003 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt0.1pre2
- First build for Sisyphus.
